Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.modules.server
Class PoolTcpConnector

    java.lang.Object
      org.apache.tomcat.core.BaseInterceptor
          org.apache.tomcat.modules.server.PoolTcpConnector

Direct Known Subclasses:
  Ajp12Interceptor, Ajp13Interceptor, Http10Interceptor

public abstract class PoolTcpConnector
extends BaseInterceptor

Connector for a TCP-based connector using the API in tomcat.service. You need to set a "connection.handler" property with the class name of the TCP connection handler

Author:
  costin@eng.sun.com, Gal Shachor [shachor@il.ibm.com]

Field Summary
`protected java.util.Hashtable` | `attributes`
`protected PoolTcpEndpoint` | `ep`
`protected boolean` | `secure`
`protected ServerSocketFactory` | `socketFactory`
`protected java.lang.String` | `socketFactoryName`
`protected SSLImplementation` | `sslImplementation`
`protected java.lang.String` | `sslImplementationName`

Fields inherited from class org.apache.tomcat.core.BaseInterceptor
`cm, ct, ctx, debug, DECLINED, loghelper, OK`

Constructor Summary
`PoolTcpConnector()`

Method Summary
`void` | `engineInit(ContextManager cm)` Called when the ContextManger is started
`void` | `engineShutdown(ContextManager cm)` Shut down the module.
`void` | `engineStart(ContextManager cm)` Called when the ContextManger is started
`java.net.InetAddress` | `getAddress()`
`PoolTcpEndpoint` | `getEndpoint()`
`int` | `getPort()`
`boolean` | `isAttributeSet(java.lang.String attr)`
`boolean` | `isClientauthSet()`
`boolean` | `isKeypassSet()`
`boolean` | `isKeystoreSet()`
`static boolean` | `isSameAddress(java.net.InetAddress server, java.net.InetAddress client)` Return `true` if the specified client and server addresses are the same.
`boolean` | `isSecure()`
`protected abstract void` | `localInit()`
`void` | `setAddress(java.net.InetAddress ia)`
`void` | `setAttribute(java.lang.String prop, java.lang.Object value)`
`void` | `setBacklog(int i)`
`void` | `setClientauth(java.lang.String k)`
`void` | `setHostName(java.lang.String name)`
`void` | `setKeypass(java.lang.String k)`
`void` | `setKeystore(java.lang.String k)`
`void` | `setMaxSpareThreads(int maxThreads)`
`void` | `setMaxThreads(int maxThreads)`
`void` | `setMinSpareThreads(int minSpareThreads)`
`void` | `setPools(boolean t)`
`void` | `setPort(int port)`
`void` | `setSecure(boolean b)`
`void` | `setServerSoTimeout(int i)`
`void` | `setSocketFactory(java.lang.String valueS)`
`void` | `setSoLinger(int i)`
`void` | `setSoTimeout(int i)`
`void` | `setSSLImplementation(java.lang.String valueS)`
`void` | `setTcpNoDelay(boolean b)`

Methods inherited from class org.apache.tomcat.core.BaseInterceptor
`addContainer, addContext, addHandler, addInterceptor, addSecurityConstraint, afterBody, authenticate, authorize, beforeBody, beforeCommit, contextInit, contextMap, contextShutdown, contextState, copyContext, engineState, engineStop, findSession, getContext, getContextManager, getDebug, getInfo, getLog, getNote, getNote, handleError, log, log, log, log, postInitCheck, postReadRequest, postRequest, postService, postServletDestroy, postServletInit, preInitCheck, preService, preServletDestroy, preServletInit, registerHooks, reload, removeContainer, removeContext, removeHandler, removeInterceptor, requestMap, sessionState, setContext, setContextManager, setDebug, setInfo, setNote, setNote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ep

    protected PoolTcpEndpoint ep

### socketFactory

    protected ServerSocketFactory socketFactory

### sslImplementation

    protected SSLImplementation sslImplementation

### attributes

    protected java.util.Hashtable attributes

### socketFactoryName

    protected java.lang.String socketFactoryName

### sslImplementationName

    protected java.lang.String sslImplementationName

### secure

    protected boolean secure

Constructor Detail

### PoolTcpConnector

    public PoolTcpConnector()

Method Detail

### engineInit

    public void engineInit(ContextManager cm)
                    throws TomcatException

  Called when the ContextManger is started

  Overrides:
    `engineInit` in class `BaseInterceptor`
  Throws:
    `TomcatException` - The module will not be added if any exception is thrown by engineInit.

### engineStart

    public void engineStart(ContextManager cm)
                     throws TomcatException

  Called when the ContextManger is started

  Overrides:
    `engineStart` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### engineShutdown

    public void engineShutdown(ContextManager cm)
                        throws TomcatException

  Description copied from class: `BaseInterceptor`
  Shut down the module.

  Overrides:
    `engineShutdown` in class `BaseInterceptor`
  Throws:
    `TomcatException`

### localInit

    protected abstract void localInit()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setPools

    public void setPools(boolean t)

### setMaxThreads

    public void setMaxThreads(int maxThreads)

### setMaxSpareThreads

    public void setMaxSpareThreads(int maxThreads)

### setMinSpareThreads

    public void setMinSpareThreads(int minSpareThreads)

### setBacklog

    public void setBacklog(int i)

### setPort

    public void setPort(int port)

### setAddress

    public void setAddress(java.net.InetAddress ia)

### setHostName

    public void setHostName(java.lang.String name)

### setSocketFactory

    public void setSocketFactory(java.lang.String valueS)

### setSSLImplementation

    public void setSSLImplementation(java.lang.String valueS)

### setTcpNoDelay

    public void setTcpNoDelay(boolean b)

### setSoLinger

    public void setSoLinger(int i)

### setSoTimeout

    public void setSoTimeout(int i)

### setServerSoTimeout

    public void setServerSoTimeout(int i)

### getEndpoint

    public PoolTcpEndpoint getEndpoint()

### getPort

    public int getPort()

### getAddress

    public java.net.InetAddress getAddress()

### setKeystore

    public void setKeystore(java.lang.String k)

### setKeypass

    public void setKeypass(java.lang.String k)

### setClientauth

    public void setClientauth(java.lang.String k)

### isKeystoreSet

    public boolean isKeystoreSet()

### isKeypassSet

    public boolean isKeypassSet()

### isClientauthSet

    public boolean isClientauthSet()

### isAttributeSet

    public boolean isAttributeSet(java.lang.String attr)

### setSecure

    public void setSecure(boolean b)

### isSecure

    public boolean isSecure()

### setAttribute

    public void setAttribute(java.lang.String prop,
                             java.lang.Object value)

### isSameAddress

    public static boolean isSameAddress(java.net.InetAddress server,
                                        java.net.InetAddress client)

  Return `true` if the specified client and server addresses are the same. This method works around a bug in the IBM 1.1.8 JVM on Linux, where the address bytes are returned reversed in some circumstances.

  Parameters:
    `server` - The server's InetAddress
    `client` - The client's InetAddress

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.